Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface Shortcuts

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

public interface Shortcuts
extends EObject

A representation of the model object 'Shortcuts'.

The following features are supported:

- `Shortcuts Decorator Provider Class Name`
- `Shortcuts Decorator Provider Priority`
- `Create Shortcut Action Class Name`
- `Contains Shortcuts To`
- `Shortcuts Provided For`

See Also:
  `GMFGenPackage.getShortcuts()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`boolean` `generateCreateShortcutAction()`
`boolean` `generateShortcutIcon()`
`EList` `getContainsShortcutsTo()` Returns the value of the 'Contains Shortcuts To' attribute list.
`java.lang.String` `getCreateShortcutActionClassName()` Returns the value of the 'Create Shortcut Action Class Name' attribute
`java.lang.String` `getCreateShortcutActionQualifiedClassName()`
`java.lang.String` `getShortcutsDecoratorProviderClassName()` Returns the value of the 'Shortcuts Decorator Provider Class Name' attribute
`ProviderPriority` `getShortcutsDecoratorProviderPriority()` Returns the value of the 'Shortcuts Decorator Provider Priority' attribute.
`java.lang.String` `getShortcutsDecoratorProviderQualifiedClassName()`
`EList` `getShortcutsProvidedFor()` Returns the value of the 'Shortcuts Provided For' attribute list.
`void` `setCreateShortcutActionClassName(java.lang.String value)` Sets the value of the '`Create Shortcut Action Class Name`' attribute
`void` `setShortcutsDecoratorProviderClassName(java.lang.String value)` Sets the value of the '`Shortcuts Decorator Provider Class Name`' attribute
`void` `setShortcutsDecoratorProviderPriority(ProviderPriority value)` Sets the value of the '`Shortcuts Decorator Provider Priority`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getShortcutsDecoratorProviderClassName

    public java.lang.String getShortcutsDecoratorProviderClassName()

  Returns the value of the 'Shortcuts Decorator Provider Class Name' attribute.

  If the meaning of the 'Shortcuts Decorator Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shortcuts Decorator Provider Class Name' attribute.
  See Also:
    `Shortcuts.setShortcutsDecoratorProviderClassName(String)`, `GMFGenPackage.getShortcuts_ShortcutsDecoratorProviderClassName()`
  ** Generated **
  Model:

### setShortcutsDecoratorProviderClassName

    public void setShortcutsDecoratorProviderClassName(java.lang.String value)

  Sets the value of the '`Shortcuts Decorator Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Shortcuts Decorator Provider Class Name' attribute.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderClassName()`
  ** Generated **

### getShortcutsDecoratorProviderPriority

    public ProviderPriority getShortcutsDecoratorProviderPriority()

  Returns the value of the 'Shortcuts Decorator Provider Priority' attribute. The literals are from the enumeration `ProviderPriority`.

  If the meaning of the 'Shortcuts Decorator Provider Priority' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shortcuts Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `Shortcuts.setShortcutsDecoratorProviderPriority(ProviderPriority)`, `GMFGenPackage.getShortcuts_ShortcutsDecoratorProviderPriority()`
  ** Generated **
  Model:

### setShortcutsDecoratorProviderPriority

    public void setShortcutsDecoratorProviderPriority(ProviderPriority value)

  Sets the value of the '`Shortcuts Decorator Provider Priority`' attribute.

  Parameters:
    `value` - the new value of the 'Shortcuts Decorator Provider Priority' attribute.
  See Also:
    `ProviderPriority`, `Shortcuts.getShortcutsDecoratorProviderPriority()`
  ** Generated **

### getCreateShortcutActionClassName

    public java.lang.String getCreateShortcutActionClassName()

  Returns the value of the 'Create Shortcut Action Class Name' attribute.

  If the meaning of the 'Create Shortcut Action Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Create Shortcut Action Class Name' attribute.
  See Also:
    `Shortcuts.setCreateShortcutActionClassName(String)`, `GMFGenPackage.getShortcuts_CreateShortcutActionClassName()`
  ** Generated **
  Model:

### setCreateShortcutActionClassName

    public void setCreateShortcutActionClassName(java.lang.String value)

  Sets the value of the '`Create Shortcut Action Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Create Shortcut Action Class Name' attribute.
  See Also:
    `Shortcuts.getCreateShortcutActionClassName()`
  ** Generated **

### getContainsShortcutsTo

    public EList getContainsShortcutsTo()

  Returns the value of the 'Contains Shortcuts To' attribute list. The list contents are of type `String`. Set of domain meta-model file extensions. Elements of the corresponding models could be shortcutted on this diagram.

  Returns:
    the value of the 'Contains Shortcuts To' attribute list.
  See Also:
    `GMFGenPackage.getShortcuts_ContainsShortcutsTo()`
  ** Generated **
  Model:
    type="java.lang.String"

### getShortcutsProvidedFor

    public EList getShortcutsProvidedFor()

  Returns the value of the 'Shortcuts Provided For' attribute list. The list contents are of type `String`. Set of domain meta-model names. Elements of this diagram domain model could be added as a shortcuts to the diagrams of the specified domains.

  Returns:
    the value of the 'Shortcuts Provided For' attribute list.
  See Also:
    `GMFGenPackage.getShortcuts_ShortcutsProvidedFor()`
  ** Generated **
  Model:
    type="java.lang.String"

### getShortcutsDecoratorProviderQualifiedClassName

    public java.lang.String getShortcutsDecoratorProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getCreateShortcutActionQualifiedClassName

    public java.lang.String getCreateShortcutActionQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### generateCreateShortcutAction

    public boolean generateCreateShortcutAction()

  ** Generated **
  Model:

### generateShortcutIcon

    public boolean generateShortcutIcon()

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.